---
title: 'SyntaxError: redeclaration of formal parameter "x"'
slug: Web/JavaScript/Reference/Errors/Redeclared_parameter
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "redeclaration of formal parameter" occurs when the same variable name occurs as a function parameter and is then redeclared using a {{jsxref("Statements/let", "let")}} assignment in a function body again.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox notranslate">SyntaxError: Let/Const redeclaration (Edge)
SyntaxError: redeclaration of formal parameter "x" (Firefox)
SyntaxError: Identifier "x" has already been declared (Chrome)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>The same variable name occurs as a function parameter and is then redeclared using a {{jsxref("Statements/let", "let")}} assignment in a function body again. Redeclaring the same variable within the same function or block scope using <code>let</code> is not allowed in JavaScript.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Redeclared_argument">Redeclared argument</h3>

<p>In this case, the variable "arg" redeclares the argument.</p>

<pre class="brush: js example-bad notranslate">function f(arg) {
  let arg = 'foo';
}

// SyntaxError: redeclaration of formal parameter "arg"
</pre>

<p>If you want to change the value of "arg" in the function body, you can do so, but you do not need to declare the same variable again. In other words: you can omit the <code>let</code> keyword. If you want to create a new variable, you need to rename it as conflicts with the function parameter already.</p>

<pre class="brush: js example-good notranslate">function f(arg) {
  arg = 'foo';
}

function f(arg) {
  let bar = 'foo';
}
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Statements/let", "let")}}</li>
 <li>{{jsxref("Statements/const", "const")}}</li>
 <li>{{jsxref("Statements/var", "var")}}</li>
 <li><a href="/en-US/docs/Web/JavaScript/Guide/Grammar_and_Types#Declarations">Declaring variables</a> in the <a href="/en-US/docs/Web/JavaScript/Guide">JavaScript Guide</a></li>
</ul>
